package com.tykj.dev.device.confirmcheck.utils;

import com.tykj.dev.device.task.subject.bto.TaskBto;

/**
 * ObjConsUtil.
 *
 * @author Matrix <xhyrzldf@gmail.com>
 * @since 2020/9/2 at 2:02 下午
 */
public class ObjConsUtil {

    public static TaskBto newTaskBto(Integer status,
                                     String title,
                                     Integer parentTaskId,
                                     String nodeIdDetail,
                                     Integer billId,
                                     Integer ownUnit
    ) {
        TaskBto taskBto = new TaskBto();
        taskBto.setBillStatus(status);
        taskBto.setTitle(title);
        taskBto.setParentTaskId(parentTaskId);
        taskBto.setNodeIdDetail(nodeIdDetail);
        taskBto.setBillId(billId);
        taskBto.setOwnUnit(ownUnit);
        return taskBto;
    }
}
